// Constructor for eight way navigation object
// arraySvg is the array of sibling SVG elements that may be navigated directionally
// Directions you can move - north, east, south, west, northwest, northeast, southeast and southwest
function eightWayNav(arraySvg, svg) {
	this.ax = [];
	var ay = [];
	var dx = [];
	var dy = [];

	var length = arraySvg.length;
	for (var i = 0; i < length; i++) {
		new eightWayNavItem(arraySvg[i], this.ax, ay, dx, dy, svg);
	}

	this.ax.sort(this.sortX);
	ay.sort(this.sortY);
	dx.sort(this.sortX);
	dy.sort(this.sortY);
	
	this.selected = this.ax[0].parent;
}

eightWayNav.prototype.north = function() {
	this.selected = this.selected.north();
	return this.selected.getItem();
}
eightWayNav.prototype.south = function() {
	this.selected = this.selected.south();
	return this.selected.getItem();
}
eightWayNav.prototype.east = function() {
	this.selected = this.selected.east();
	return this.selected.getItem();
}
eightWayNav.prototype.west = function() {
	this.selected = this.selected.west();
	return this.selected.getItem();
}
eightWayNav.prototype.northeast = function() {
	this.selected = this.selected.northeast();
	return this.selected.getItem();
}
eightWayNav.prototype.northwest = function() {
	this.selected = this.selected.northwest();
	return this.selected.getItem();
}
eightWayNav.prototype.southeast = function() {
	this.selected = this.selected.southeast();
	return this.selected.getItem();
}
eightWayNav.prototype.southwest = function() {
	this.selected = this.selected.southwest();
	return this.selected.getItem();
}

eightWayNav.prototype.getSelected = function() {
	return this.selected.getItem();
}

// Sets the selected SVG element
eightWayNav.prototype.setSelected = function(svgElem) {
	var length = this.ax.length;
	for(var i = 0; i < length; i++) {
		if (this.ax[i].isItem(svgElem)) {
			this.selected = this.ax[i].parent;
			return;
		}
	}
}

eightWayNav.prototype.sortX = function(a, b) {
	if (a.x == b.x) {
		return 0;
	} else if (a.x < b.x) {
		return -1;
	} else {
		return 1;
	}
}

// Sort navItems in y
eightWayNav.prototype.sortY = function(a, b) {
	if (a.y == b.y) {
		return 0;
	} else if (a.y < b.y) {
		return -1;
	} else {
		return 1;
	}
}