// Constructor for a item that allows movement in 8 ways -
// You can move north, east, south, west, northwest, northeast, southeast and southwest
// item is an svg element 
// ax, ay, dx, dy are arrays for navItems, they will be sorted to allow nav to move in the direction
function eightWayNavItem(item, ax, ay, dx, dy, svg) {
	this.cardinal = new navItem(item, false, ax, ay, this, svg);
	this.diagonal = new navItem(item, true, dx, dy, this, svg);
} 

eightWayNavItem.prototype.getItem = function() {
	return this.cardinal.item;
}

eightWayNavItem.prototype.east = function() {
	return this.cardinal.greaterX().parent;
}

eightWayNavItem.prototype.north = function() {
	return this.cardinal.lesserY().parent;
}

eightWayNavItem.prototype.south = function() {
	return this.cardinal.greaterY().parent;
}

eightWayNavItem.prototype.west = function() {
	return this.cardinal.lesserX().parent;
}

eightWayNavItem.prototype.northeast = function() {
	return this.diagonal.greaterX().parent;
}

eightWayNavItem.prototype.northwest = function() {
	return this.diagonal.lesserY().parent;
}

eightWayNavItem.prototype.southeast = function() {
	return this.diagonal.greaterY().parent;
}

eightWayNavItem.prototype.southwest = function() {
	return this.diagonal.lesserX().parent;
}

eightWayNavItem.prototype.isItem = function(item) {
	return this.cardinal.item == item;
}